Get custom field definitions
Returns the ticket custom field definitions that apply to a desk (desk-level and tenant-wide)
Get all configs applying to a desk (desk + tenant-wide). Open to any caller in the tenant; internal fields are returned only to callers with access to the desk (desk config) or operators (tenant-wide config).
Authorizations
AuthorizationstringRequired
Harmony access key, sent as Authorization: AccessKey <your-key>. Create keys in Settings > Access Keys. The tenant is resolved from the key.
Path parameters
entity_idstringRequired
Responses
200
Successful Response
application/json
idstring · uuidRequired
desk_idstring · nullableOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
422
Validation Error
application/json
get/api/v1/config/custom-fields/for-entity/{entity_id}
GET /service-desk/api/v1/config/custom-fields/for-entity/{entity_id} HTTP/1.1
Host: api.harmony.io
Authorization: YOUR_API_KEY
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"desk_id": "text",
"custom_field_config": [
{
"type": "single_select",
"id": "123e4567-e89b-12d3-a456-426614174000",
"label": "text",
"rule": {
"action": "show",
"logic": "all",
"conditions": [
{
"field_id": "123e4567-e89b-12d3-a456-426614174000",
"value": "text",
"type": "single_select",
"operator": "equals"
}
]
},
"required": false,
"is_filled_by_desk_member": false,
"placeholder": "text",
"default_value": null,
"description": "text",
"options": [
"text"
],
"is_internal": false,
"ticket_types": [
"text"
],
"visibility_conditions": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
],
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
]Last updated
Was this helpful?
